@import url(global.css);

.logo img {
    height: 2.2rem;
}

body {
    overflow-x: hidden;
}

header > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: var(--header-height);
}

header {
    position: absolute;
    border-bottom: 1px solid var(--primary);
    background:var(--body-color);
    width: 100%;
}

.menu, .menu ul {
    display: flex;
    align-items: center;
    gap: var(--sm);
}

.language {
    margin-left: var(--sm);
}

.hero > div {
    height: 100svh;
    width: 100vw;
    display: flex;
    align-items: end;
    justify-content: space-between;
    padding-bottom: var(--sm);
}

figcaption {
    margin-top: var(--xs);
}

/*section*/

section {
    padding: var(--section-padding);
}

.image-row {
    display: flex;
    gap: var(--xl);
    align-items: end;
    justify-content: space-between;
}

    .image-row figure {
        width: 60%;
    }

    .image-row div {
        width: 40%;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
    }

        .image-row div li {
            margin-bottom: 1rem;
        }

    .image-row.align-item-center {
        align-items: center;
    }

.image-row-cap {
    display: flex;
    gap: var(--sm);
    align-items: end;
}

    .image-row-cap figure {
        width: auto;
    }

.border-row {
    display: flex;
}

    .border-row li {
        text-align: start;
        padding-block: var(--xs);
        align-items: start;
        border-top: 1px solid var(--primary);
    }

.list-icon {
    display: flex;
    gap: 12px;
    align-items: center;
}

.sticky-top {
    display: block;
}

    .sticky-top > * {
        display: block;
        position: sticky;
        height: auto;
        top: var(--header-height);
    }

.border-row li:last-of-type {
    border-block: 1px solid var(--primary);
}

.text-row {
    padding-bottom: var(--xl);
    width: 80%;
}

.text-row-full {
    padding-bottom: var(--xl);
    width: 100%;
}

.p-0 {
    padding: 0;
}

.p-top-0 {
    padding-top: 0;
}

.p-bottom-0 {
    padding-bottom: 0;
}

.grid-feature > ul {
    display: flex;
    justify-content: space-between;
}

    .grid-feature > ul > li > ul > li {
        padding-bottom: 1rem;
    }

.first-section {
    --section-padding-size: calc(20rem + var(--header-height));
    padding: var(--section-padding-size) 0;
}

.parallax {
    background-image: url("../img/DJI_0092.jpg");
    box-shadow: inset 0 0 0 1000px rgba(0,0,0,.4);
    height: 90svh;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

    .parallax div {
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: var(--xs);
        align-items: center;
        justify-content: center;
        text-align: center;
    }

.text-row ul {
    margin-top: var(--md);
    display: flex;
    flex-direction: column;
}

    .text-row ul li:first-child {
        margin-bottom: var(--xs);
    }

/*footer*/
footer .big-logo {
    height: 60svh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer-direction {
    display: flex;
    flex-direction:column;
    width: 40rem;
    gap: var(--xs);
}


footer .big-logo img {
    width: 100%;
}

footer .big-logo a {
    width: 30%;
}

.footer-row > div > ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

    .footer-row > div > ul > li {
        width: 24rem;
    }

        .footer-row > div > ul > li:last-child {
            text-align: right;
        }

.footer-row > div {
    height: 100%;
}

.footer-row a {
    line-height: 1.1;
}

.social-icons {
    display: flex;
    align-items: center;
    justify-content: end;
}

    .social-icons i {
        font-size: 2.5rem;
    }

.footer-row {
    height: var(--lg);
}

.first-row{
    height: unset;
    padding-bottom: 4rem;
}

.first-row>div>ul {
    align-items:end;
}

footer .footer-icons {
    padding-block:var(--sm);
}

.footer-icons .footer-icons-elements {
    display:flex;
    gap:var(--sm);
}

footer .footer-icon {
    max-height: var(--md);
    width: auto;
    display: block;
    align-self: center;
}


footer .footer-line {
    border-bottom: 1px solid var(--primary);
}

.icon-instagram::before {
    margin-right: 0;
}

/*swipers*/


.swiperInfinite .swiper-slide {
    width: auto;
    padding: 0 8px;
}

    .swiperInfinite .swiper-slide img {
        object-fit: cover;
        object-position: center;
        height: 80svh;
    }

.swiperInfinite .swiper-wrapper {
    -webkit-transition-timing-function: linear !important;
    -o-transition-timing-function: linear !important;
    transition-timing-function: linear !important;
}


/*nav mobile*/

.hamburger {
    display: none;
    align-items: center;
    justify-content: flex-start;
    z-index: 8889;
    cursor: pointer;
}

.hamburgericon {
    position: relative;
    width: 25px;
    height: 15px;
    cursor: pointer;
}

    .hamburgericon span {
        position: absolute;
        width: 100%;
        height: 1px;
        border: none;
        top: 0;
        left: 0;
        background: var(--primary);
        cursor: pointer;
        -webkit-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

        .hamburgericon span.middle {
            top: 7px;
            width: 100%;
        }

        .hamburgericon span.bottom {
            top: auto;
            bottom: 0px;
            width: 100%;
        }

.openMenu .hamburgericon .top, .openMenu .hamburger:hover .hamburgericon .top {
    transform: translateY(8px) translateX(0) rotate(45deg);
    left: 0;
    background: var(--primary);
}

.openMenu .hamburgericon .middle {
    opacity: 0;
}

.openMenu .hamburgericon .bottom, .openMenu .hamburger:hover .hamburgericon .bottom {
    transform: translateY(-6px) translateX(0) rotate(-45deg);
    left: 0;
    width: 100%;
    background: var(--primary);
}

.closeMenu .hamburgericon span {
    transition-delay: 1.2s;
}
/* end icon menu mobile */
/*menu mobile*/
body.openMenu {
    overflow: hidden;
}

.nav-mobile {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    transform: translate(0, -100%);
    transition: transform 1s cubic-bezier(0.25, 1.05, 0.5, 1);
    background-color: var(--body-color);
    z-index: -1;
    opacity: 0;
}

.openMenu .nav-mobile {
    z-index: 7777;
    transition-delay: 0.6s;
    opacity: 1;
    transform: translate(0, 0);
}

.closeMenu .nav-mobile {
    z-index: 7777;
    opacity: 1;
    transition-delay: 1s;
    transform: translate(0, -100%);
}

.nav-mobile-content {
    position: absolute;
    display: flex;
    flex-wrap: nowrap;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0;
    transform: translate(0, 0);
    transition: transform 0.5s;
    overflow: hidden;
    z-index: 1;
}

.openMenu .nav-mobile-content {
    transition-delay: 0.3s;
    transform: translate(0, 0);
}

.closeMenu .nav-mobile-content {
    transition-delay: 0.5s;
    transform: translate(0, 0);
}

.nav-mobile-col {
    position: relative;
    width: 100%;
    padding: var(--xl) calc(5% + 15px);
    overflow: hidden;
    z-index: 1;
}

ul.nav-item {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

    ul.nav-item li {
        color: var(--primary);
        font-size: var(--h2);
        text-align: left;
        margin-bottom: 5px;
    }

a.link-menu-mobile {
    color: var(--primary);
    transition: color 0.3s;
    font-size: var(--h2);
    font-family: "Editorial New";
}
/*end menu mobile*/
/*animation entrata*/
ul.nav-item li a {
    display: block;
    position: relative;
    overflow: hidden;
}

    ul.nav-item li a span {
        display: block;
        width: 100%;
        transform: translate(0, 180%);
        opacity: 0;
        transition: transform 0.7s, opacity 0.7s;
        transition-delay: calc(0.5s * var(--li-index));
    }

.openMenu ul.nav-item li a span {
    transform: translate(0, 0);
    opacity: 1;
}

.closeMenu ul.nav-item li a span {
    transform: translate(0, 180%);
    transition-delay: 0s;
    opacity: 0;
}
/*end animation entrata*/

.swiper, .swiperInfinite {
    overflow-x: hidden;
}

.mySwiper.swiper {
    width: 100%;
    height: 80vh;
    margin-bottom: var(--sm);
}

.mySwiper .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .mySwiper .swiper-slide img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.mySwiper .swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    line-height: 20px;
    border: 1px solid var(--secondary);
    background: transparent;
}

.mySwiper .swiper-pagination {
    padding: var(--xs) var(--lg);
    text-align: end;
    min-width: 100%;
}

.mySwiper .swiper-pagination-bullet-active {
    background: var(--secondary);
}

hr {
    width: 100%;
}

.gallery-items {
    display: grid;
    margin-block: var(--md);
    grid-template-columns: repeat(4, 1fr);
    gap: var(--sm);
}

.gallery a {
    aspect-ratio: 1/1;
}

    .gallery a img {
        object-fit: cover;
        height: 100%;
        width: 100%;
    }


.form-row {
    margin-bottom: var(--xs);
}

    .form-row:last-of-type {
        margin-bottom: 0 !important;
    }
    /*label*/
    .form-row label {
        display: none;
    }

    .form-row .form-check label {
        display: block;
    }
/*input*/
.form-control {
    color: var(--primary);
    border-color: var(--primary);
    background-color: transparent;
    height: 6rem;
    border-radius: 10px;
    padding-left: 1.5rem;
    font-size: var(--fs);
    font-family: var(--font-family);
}

    .form-control:focus {
        color: var(--primary);
        border-color: var(--primary);
        background-color: white;
        outline: 0;
        box-shadow: none;
    }
/*textarea*/
textarea.form-control {
    min-height: 300px;
    padding-top: 1.5rem;
}
/*check*/
.form-check {
    display: flex;
    align-items: center;
}

    .form-check .form-check-label {
        font-size: var(--fs);
    }

.form-check-privacy .form-check-label {
    font-size: var(--fs);
}

.form-check .form-check-input {
    min-width: 30px;
    height: 30px;
    margin-top: 0;
    background-color: transparent;
    border-color: var(--primary);
    float: none;
    margin-right: 1rem;
}

.form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.form-check-input:focus {
    box-shadow: none;
    border-color: var(--primary);
}

.form-check-input:active {
    filter: none;
}

.form-check-input:checked[type=checkbox] {
    background-size: 15px;
}
/**/
/*placeholder*/
.form-control::-webkit-input-placeholder {
    color: var(--primary);
    font-family: var(--font-family);
    opacity: 0.8;
}

.form-control::-moz-placeholder {
    color: var(--primary);
    font-family: var(--font-family);
    opacity: 0.8;
}

.form-control:-ms-input-placeholder {
    color: var(--primary);
    font-family: var(--font-family);
    opacity: 0.8;
}

input:focus::-webkit-input-placeholder, textarea:focus::-webkit-input-placeholder {
    opacity: 0;
}

input:focus:-moz-placeholder, textarea:focus:-moz-placeholder {
    opacity: 0;
}

input:focus:-ms-placeholder, textarea:focus:-ms-placeholder {
    opacity: 0;
}

@media(width < 1200px) {
}

@media(width < 992px) {
    .list-title {
        padding-block: var(--sm);
    }

    .sticky-top > *, .sticky-top {
        position: static;
    }

    .form-row {
        margin-bottom: var(--xs);
    }

    .row.form-row > .col, .row.form-row > [class*=col-] {
        margin-bottom: 1rem;
    }

        .row.form-row > .col:last-of-type, .row.form-row > [class*=col-]:last-of-type {
            margin-bottom: 0 !important;
        }

    .parallax {
        background-attachment: scroll;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }

    .gallery-items {
        grid-template-columns: repeat(2, 1fr);
    }


    .text-row {
        width: 100%;
    }

    .image-row {
        flex-direction: column;
        overflow: hidden;
    }

        .image-row figure {
            width: 100%;
        }

        .image-row div {
            width: 100%;
        }

    .col-reverse-sm {
        flex-direction: column-reverse;
    }

    .grid-feature > ul {
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        gap: var(--lg);
    }

    .swiperInfinite .swiper-slide img {
        height: 60vh;
    }

    .footer-row > div > ul {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: var(--sm);
        padding-block: var(--md);
        height: 100%;
        align-items:center;
    }


        .footer-row > div > ul > li {
            width: unset;
        }

            .footer-row > div > ul > li:last-child {
                text-align: unset;
            }

    .footer-row > div {
        text-align: center;
        height: 100%;
    }

    .footer-row a {
        line-height: 1.4;
    }

    .social-icons {
        display: flex;
        align-items: center;
        justify-content: end;
    }

    .footer-row {
        height: unset;
    }

    footer .footer-line {
        border-bottom: 1px solid var(--primary);
    }

    .icon-instagram::before {
        margin-right: 0;
    }

    .footer-row:last-of-type > div > ul {
        gap: 0;
    }
}

@media(width < 768px) {
    .logo img {
        height: 1.8rem;
    }

    .image-row-cap {
        flex-direction: column;
    }

    .location {
        display: none;
    }

    .mySwiper .swiper-pagination {
        text-align: start;
        padding: var(--xs) var(--sm);
    }


    .footer-direction {
        display: flex;
        flex-direction: column;
        gap: var(--xs);
        align-items: center;
    }
}

@media(width < 576px) {

    footer .big-logo a {
        width: 60%;
    }

    .swiperInfinite .swiper-slide img {
        height: 40vh;
    }

    .gallery-items {
        grid-template-columns: repeat(1, 1fr);
    }

    .menu {
        display: none;
    }

    footer .big-logo p {
        font-size: 8rem;
    }

    .mySwiper.swiper {
        width: 100%;
        height: 60svh;
    }

    .hamburger {
        display: flex;
    }
}
